<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="text"/>  

<xsl:template match="/message/response">
<xsl:apply-templates select="collectionList"/>
<xsl:apply-templates select="serviceList"/>
</xsl:template>



<xsl:template match="collectionList">
Collections available are:
<xsl:for-each select="collection"> 
<xsl:value-of select="@name"/>: <xsl:value-of select="metadata[@name='Title']"/><xsl:text>
</xsl:text>
</xsl:for-each>
</xsl:template> 

<xsl:template match="collection">
<xsl:value-of select="@name"/>. <xsl:value-of select="metadata[@name='Title']"/>
</xsl:template>

<xsl:template match="serviceList">
Services available are:

Transforms:
<xsl:for-each select="service[@type='transform']"> 
<xsl:value-of select="@name"/>.
</xsl:for-each>

Enrichs:
<xsl:for-each select="service[@type='enrich']"> 
<xsl:value-of select="@name"/>.
</xsl:for-each>

Querys:
<xsl:for-each select="service[@type='query']"> 
<xsl:value-of select="@name"/>.
</xsl:for-each>

</xsl:template> 


</xsl:stylesheet>  